Loading...
Searching...
No Matches
BL_Grip Class Reference
Collaboration diagram for BL_Grip:

## Public Member Functions

| BL_Grip ()
| ~BL_Grip ()
void | Add (XrdOucTList *tP)
XrdOucTList ** | Array (int &anum)
int | Count ()
XrdOucTList * | Export ()
bool | Include (const char *item, int &i)

## Detailed Description

Definition at line 58 of file XrdCmsBlackList.cc.

## Constructor & Destructor Documentation

## BL_Grip()

BL_Grip::BL_Grip | ( |  | ) |

inline

Definition at line 97 of file XrdCmsBlackList.cc.

: first(0), last(0) {}

## ~BL_Grip()

BL_Grip::~BL_Grip | ( |  | ) |

inline

Definition at line 99 of file XrdCmsBlackList.cc.

{XrdOucTList *tP;
while((tP = first)) {first = tP->next; delete tP;}
last = 0;
}
XrdOucTList::next
XrdOucTList * next
Definition XrdOucTList.hh:45

References XrdOucTList::next.

## Member Function Documentation

## Add()

void BL_Grip::Add | ( | XrdOucTList * | tP | ) |

inline

Definition at line 60 of file XrdCmsBlackList.cc.

{if (last) last->next = tP;
else first = tP;
last = tP;
}

Referenced by Include().

Here is the caller graph for this function:

## Array()

XrdOucTList ** BL_Grip::Array | ( | int & | anum | ) |

inline

Definition at line 66 of file XrdCmsBlackList.cc.

{XrdOucTList *tP = first;
anum = Count();
if (!anum) return 0;
XrdOucTList **vec = new XrdOucTList *[anum];
for (int i = 0; i < anum; i++) {vec[i] = tP; tP = tP->next;}
first = last = 0;
return vec;
}
BL_Grip::Count
int Count()
Definition XrdCmsBlackList.cc:76

References Count(), and XrdOucTList::next.

Here is the call graph for this function:

## Count()

int BL_Grip::Count | ( |  | ) |

inline

Definition at line 76 of file XrdCmsBlackList.cc.

{XrdOucTList *tP = first;
int n = 0;
while(tP) {tP=tP->next; n++;}
return n;
}

References XrdOucTList::next.

Referenced by Array().

Here is the caller graph for this function:

## Export()

XrdOucTList * BL_Grip::Export | ( |  | ) |

inline

Definition at line 83 of file XrdCmsBlackList.cc.

{XrdOucTList *tP = first;
first = last = 0;
return tP;
}

## Include()

bool BL_Grip::Include | ( | const char * | item,
|  | int & | i )

inline

Definition at line 89 of file XrdCmsBlackList.cc.

{XrdOucTList *tP = first;
i = 0;
while(tP && strcmp(item,tP->text)) {tP=tP->next; i++;}
if (!tP) {Add(new XrdOucTList(item)); return false;}
return true;
}
BL_Grip::Add
void Add(XrdOucTList *tP)
Definition XrdCmsBlackList.cc:60
XrdOucTList::text
char * text
Definition XrdOucTList.hh:46

References Add(), XrdOucTList::next, and XrdOucTList::text.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- XrdCmsBlackList.cc